# std::const_mem_fun_t< Ret, Type > Class Template Reference
[Adaptors for pointers to members]

One of the adaptors for member pointers. More...

`#include <stl_function.h>`

Inheritance diagram for std::const_mem_fun_t< Ret, Type >:

[legend]
Collaboration diagram for std::const_mem_fun_t< Ret, Type >:

[legend]
List of all members.

## Public Types

typedef const Type * | argument_type
| `argument_type` is the type of the
typedef Ret | result_type
| `result_type` is the return type

## Detailed Description

### template<class Ret, class Type>
class std::const_mem_fun_t< Ret, Type >

One of the adaptors for member pointers.

Definition at line 607 of file stl_function.h.

## Member Typedef Documentation

typedef const Type * std::unary_function< const Type * , Ret >::argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef Ret std::unary_function< const Type * , Ret >::result_type `[inherited]`

| `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h